Author Topic: The program parted_server closed unexpectedly [SOLVED]  (Read 4163 times)

Cr4zyc0w

  • Newbie
  • *
  • Posts: 6
    • View Profile
on: January 21, 2011, 10:12:03 AM
Buongiorno a tutti,
ieri ho scaricato la vostra distro per provarne le funzionalità.
La versione Live funziona correttamente ed essendo strutturata in maniera gradevole volevo installarla fisicamente.

Durante l'installazione viene generato un problema durante la partizione dovuto, credo, a gParted:
"The program parted_server closed unexpectedly".
E' un problema noto in maniera non ufficiale per le distribuzioni 10.04 e 10.10.

Ad una prima impressione è dovuto a gParted, di fatto si ferma quando dovrebbe avviare il programma di partizione.

Ho provato a rimuovere l'hd usb prima del passo di partizione e riesce a gestire la parte di partizione correttamente.
Il problema bloccante credo dipenda dalla incapacità di gParted di gestire la penna usb stessa dove ho messo backbox (tramite unetbootin e in seguito un'altro programma universal.. ma stesso esito).

Superato il passo di definizione delle partizioni il problema persiste in quanto non riesce comunque ad andare avanti, anche rimettendo la usb, in quanto sembra aver "ha perso il filo" dell'installazione.

Potrei provare con lettore cd esterno e probabilmente funzionerebbe.. ma essendo un netbook vorrebbe dire acquistarlo :P

Con versioni precedenti di ubuntu (tipo la 9.04) l'installazione va a buon fine quindi è un problema, credo, della versione di gparted incluso nella 10.xx

Potrei mettere ubuntu 9.04 aggiornarla fino alla 10.04-10.10 e allinearla a backbox ma non mi sembra elegante e alquanto lungo.

Avete qualche suggerimento?
Grazie
« Last Edit: May 19, 2011, 11:05:47 PM by SYSTEM_OVERIDE »



raffaele

  • Administrator
  • Hero Member
  • *****
  • Posts: 506
    • View Profile
    • My Blog
Reply #1 on: January 21, 2011, 10:27:01 AM
se ho ben capito il tuo problema, esistono vari modi per risolverlo... la cosa piu semplice è di utilizzare un'altra live per "preparare" l'hd. creati le partizioni, formatta e poi riavvia il pc con la tua pennetta backbox. infine avvia il processo di installazione.

raffaele@backbox:~$ Get root or die tryin'


Cr4zyc0w

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #2 on: January 21, 2011, 03:06:02 PM
L'idea è buona il problema è che non dipende dall'hd.
Il problema dipende da un crash di gparted quando identifica gli hd presenti.
La presenza della pennetta usb con backbox genera il problema.
Esiste un modo per far si che backbox live si carichi interamente in memoria in modo da poterlo installare senza bisogno della usb?



greyfox

  • Guest
Reply #3 on: January 21, 2011, 05:06:44 PM
ho visto in giro che parecchie altre persone hanno il tuo stesso problema, ovvero il problema con gParted che, andando a cercare di installare una live di Ubuntu 10.04/10 hanno il tuo stesso problema ovvero "The program parted_server closed unexpectedly".
Molta gente, come te, ha provato a cambiare programma per montare ma il problema rimane lo stesso.
Alcuni hanno risolto "dicendo di aver cambiato USB (per cui il problema risiederebbe sulla compatibilità della chiavetta USB ma non sono sicuro che questa sia una cosa sensata)."
Provare ad effettuare un downgrade di gParted e portarlo alla versione montata sul 9.04 potrebbe essere una soluzione, ma bisogna aspettare lo staff tecnico per questo perchè comporterebbe alcuni cambiamenti.
Nei bug-truck non ci sono soluzioni, secondo me una possibile soluzione stabile è il downgrade.



Cr4zyc0w

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #4 on: January 24, 2011, 01:21:13 PM
Allora, basandomi sugli spunti forniti da greyfox, che ringrazio, ho provato a muovermi come descrivo in seguito.

Ho fatto un downgrade di gParted ad una versione precedente,sempre branca 5.xx, ma genera lo stesso errore.
Ho aggiunto i repository di Karmik Koala (9.10) e Jaunty Jackalope (9.04) e ho fatto i downgrade fino alla versione presente in quei repository,mi sembra la 4.xx, ma genera lo stesso errore.
Per completare le prove ho aggiunti i repository beta di Natty Narwhal (11.04) e ho fatto l'upgrade alla nuova versione, la 7.xx, ma genera sempre lo stesso errore.

A quel punto mi sono arreso e ho installato direttamente la 9.04 facendo upgrade alla 10.04 LTS.
Quindi la mia situazione attuale è una versione di Ubuntu 10.04 con Gnome.
Per quanto mi riguarda finisce qui il problema,con una soluzione purtroppo poco elegante ma efficace, quindi siete liberi di chiudere il topic o lasciarlo aperto per altre persone.
Grazie ancora.



evilsocket

  • Full Member
  • ***
  • Posts: 177
    • View Profile
    • http://www.emoticode.net
Reply #5 on: January 24, 2011, 01:46:40 PM
Fossi stato io mi sarei compilato il programma in locale, pacchettizzato ed installato su BB, ma ad ognuno il suo.
Chiudo